#pragma once

#include "CollisionBox.h"

namespace Ogre
{
	class SceneNode;
	class Entity;
}

class FireArray;
class Player : public CollisionBox
{
public:
	Player();
	Ogre::Vector3 mMaxSpeed;
	Ogre::Vector3 mAccel;
	Ogre::Entity *mEntGood, *mEntBad, *mEntCharge;
	Ogre::SceneNode* mNodeGood, *mNodeBad, *mNodeCharge;
	int mPlayMode; //-1 = evil, 0 = charging, 1 = nice
	int mLastPlayMode;
	bool mHoldingSpace;
	bool mHoldingShift;
	FireArray* mFireArray;
	int mDir;
	int tempWallMat;
	int tempMat;
	void Update();
	void InitGui();

	float mHealth;
	float mGoodEnergy;
	float mBadEnergy;
};